# LTreeExpression Class Reference
[Logical expressions used in OSQL and Form]

Extensive facilities for searching through label trees are provided. More...

Inheritance diagram for LTreeExpression:
[legend]

List of all members.

## Static Public Member Functions

static | ancestor ($left, $right)
| Is left argument an ancestor of right (or equal)?
static | descendant ($left, $right)
| Is left argument a descendant of right (or equal)?
static | match ($ltree, $lquery)
static | search ($ltree, $ltxtquery)

## Public Attributes

const | ANCESTOR = '@>'
const | DESCENDANT = '<@'
const | MATCH = '~'
const | SEARCH = '@'

## Detailed Description

Extensive facilities for searching through label trees are provided.

See also:
  http://www.postgresql.org/docs/current/interactive/ltree.html

Definition at line 18 of file LTreeExpression.class.php.

## Member Function Documentation

static LTreeExpression::ancestor | ( | $ | left,
|  | $ | right |
| ) |  |  | `[static]`

Is left argument an ancestor of right (or equal)?

Returns:
  BinaryExpression

Definition at line 30 of file LTreeExpression.class.php.

static LTreeExpression::descendant | ( | $ | left,
|  | $ | right |
| ) |  |  | `[static]`

Is left argument a descendant of right (or equal)?

Returns:
  BinaryExpression

Definition at line 40 of file LTreeExpression.class.php.

static LTreeExpression::match | ( | $ | ltree,
|  | $ | lquery |
| ) |  |  | `[static]`

Returns:
  BinaryExpression

Definition at line 48 of file LTreeExpression.class.php.

static LTreeExpression::search | ( | $ | ltree,
|  | $ | ltxtquery |
| ) |  |  | `[static]`

Returns:
  BinaryExpression

Definition at line 56 of file LTreeExpression.class.php.

## Member Data Documentation

const LTreeExpression::ANCESTOR = '@>'

Definition at line 20 of file LTreeExpression.class.php.

const LTreeExpression::DESCENDANT = '<@'

Definition at line 21 of file LTreeExpression.class.php.

const LTreeExpression::MATCH = '~'

Definition at line 22 of file LTreeExpression.class.php.

const LTreeExpression::SEARCH = '@'

Definition at line 23 of file LTreeExpression.class.php.

The documentation for this class was generated from the following file:

- core/Logic/LTreeExpression.class.php